require "../backends.cr"

class PkgutilsBackend < Package::Backend::Packaging
	def initialize
		@name = "pkgutils"
	end

	def package(context : Package::Context, package : Package::Package)
		puts "#{package.fake_root_directory} -> #{context.packages_directory}/#{package.name}##{package.version}-#{package.release}.pkg.tar.xz"
		pp! r = context.run package.fake_root_directory, "tar", ["cJf", "#{context.packages_directory}/#{package.name}##{package.version}.pkg.tar.xz", "."]

		r.exit_status == 0
	end
end

